"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDialog = void 0;
const react_1 = require("react");
function useDialog(onClose) {
    const [visible, setVisible] = (0, react_1.useState)(false);
    const [input, setInput] = (0, react_1.useState)({});
    const props = {
        visible,
        input,
        onClose: (result, output) => {
            setVisible(false);
            onClose(result, output);
        }
    };
    const show = (input) => {
        if (input) {
            setInput(input);
        }
        setVisible(true);
    };
    return [
        show,
        props
    ];
}
exports.useDialog = useDialog;
//# sourceMappingURL=useDialog.js.map